Hello,

In message "Re: One-Click Installer: MinGW? or VC2005?"
    on Jul.22,2006 00:13:40, <halostatue / gmail.com> wrote:
| Mmm. This may or may not be the case. This is why I have been trying
| to collect information for an ongoing conversation with Microsoft.
| They are ... concerned that we are still using VC6 as our compiler and
| want to see what can be helped to provide better support for moving
| Ruby to VC8.

We (maybe) already finished to be able to compile ruby with VC8.
About me, to compile all libraries with VC8 is *very* troublesome.
And to distribute VC8 binary, I must think how users get runtime
which matches with the manifest of my distribution (Yah, say good
bye to DLL hell, and say hello to manifest hell!)
It's the reason why I'm using VC6.

So... Microsoft should support not only us but also all authors
who write libraries.
If they maintain the binary compatibility, they might not have
had to use extra effort :)


Regards,
-- 
U.Nakamura <usa / garbagecollect.jp>